#!/bin/sh
#####################################################################################
#UMNTShare.sh V0.3, written by Jan Blumenthal (Eagleeye/DFT)                             #
#for update check: www.jan-blumenthal.de                                            #
#####################################################################################
#Args: $1 Computer
#      $2 Mountpoint
#####################################################################################
#Returnvalue: 0=well done, 1=something was wrong(false)
_VERSION=0.3
_PARAMETERS=$#

# check if there are correct parameters given
if test $_PARAMETERS -ge 1
then
  _COMPUTER=$1

  # correct mointpoint if not given
  if test $_PARAMETERS -eq 2
  then
    _MOUNTPOINT=$2
  else
    #echo $_COMPUTER
    _MOUNTPOINT=/mnt/`echo $_COMPUTER | tr [:upper:] [:lower:]`
  fi

  echo "Unmounting $_COMPUTER shared drives" 
  #echo $_MOUNTPOINT

  # umount all drives which are mounted from <Computer> in Mountpoint
  for i in `mount | grep //$_COMPUTER/ --ignore-case | grep $_MOUNTPOINT --ignore-case | grep smb | cut -d " " -f 3`
  do
    #echo $i
    umount $i 2>/dev/null
    rmdir $i 2>/dev/null
  done
  rmdir $_MOUNTPOINT 2>/dev/null
  exit 0
else

  # Parameters were wrong
  echo "UMNTShare.sh V$_VERSION"
  echo "Unmount shared Windows drives. Written by Jan Blumenthal (www.jan-blumenthal.de)"
  echo "This script is under GNU public license and is distributed as is. No warranty!"
  echo "You may use it your own risk! Please make sure that you are logged in as root"
  echo "and have already installed samba."
  echo "Usage:"
  echo "umntshare.sh <Computer> [Mountpoint]"
  echo "Examples: umntshare.sh OXYGEN /mnt/oxygen/"
  exit 1
fi

